Index: Include/api_imm.sbp
===================================================================
--- Include/api_imm.sbp	(revision 179)
+++ Include/api_imm.sbp	(revision 192)
@@ -115,6 +115,4 @@
 TypeDef LPSTYLEBUF = LPSTYLEBUFA
 #endif
-
-'#if (WINVER >= 0x040A)
 
 Const IMEMENUITEM_STRING_SIZE = 80
@@ -221,10 +219,10 @@
 #endif
 
-Declare Function ImmSetCompositionStringA Lib "imm32" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord ) As BOOL
-Declare Function ImmSetCompositionStringW Lib "imm32" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord ) As BOOL
-#ifdef UNICODE
-Declare Function ImmSetCompositionString Lib "imm32" Alias "ImmSetCompositionStringW" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord ) As BOOL
-#else
-Declare Function ImmSetCompositionString Lib "imm32" Alias "ImmSetCompositionStringA" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord ) As BOOL
+Declare Function ImmSetCompositionStringA Lib "imm32" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord) As BOOL
+Declare Function ImmSetCompositionStringW Lib "imm32" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord) As BOOL
+#ifdef UNICODE
+Declare Function ImmSetCompositionString Lib "imm32" Alias "ImmSetCompositionStringW" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord) As BOOL
+#else
+Declare Function ImmSetCompositionString Lib "imm32" Alias "ImmSetCompositionStringA" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord) As BOOL
 #endif
 
@@ -245,19 +243,19 @@
 #endif
 
-Declare Function ImmGetGuideLineA(himc As HIMC, dwIndex As DWord, lpBuf As LPSTR, dwBufLen As DWord) As DWord
-Declare Function ImmGetGuideLineW(himc As HIMC, dwIndex As DWord, lpBuf As LPWSTR, dwBufLen As DWord) As DWord
-#ifdef UNICODE
-Declare Function ImmGetGuideLine Alias "ImmGetGuideLineW" (himc As HIMC, dwIndex As DWord, lpBuf As LPWSTR, dwBufLen As DWord) As DWord
-#else
-Declare Function ImmGetGuideLine Alias "ImmGetGuideLineA" (himc As HIMC, dwIndex As DWord, lpBuf As LPSTR, dwBufLen As DWord) As DWord
-#endif
-
-Declare Function ImmGetConversionStatus(himc As HIMC, ByRef fdwConversion As DWord, ByRef fdwSentence As DWord) As BOOL
-Declare Function ImmSetConversionStatus(himc As HIMC, fdwConversion As DWord, fdwSentence As DWord) As BOOL
-Declare Function ImmGetOpenStatus(himc As HIMC) As BOOL
-Declare Function ImmSetOpenStatus(himc As HIMC, fOpen As BOOL) As BOOL
+Declare Function ImmGetGuideLineA Lib "imm32" (himc As HIMC, dwIndex As DWord, lpBuf As LPSTR, dwBufLen As DWord) As DWord
+Declare Function ImmGetGuideLineW Lib "imm32" (himc As HIMC, dwIndex As DWord, lpBuf As LPWSTR, dwBufLen As DWord) As DWord
+#ifdef UNICODE
+Declare Function ImmGetGuideLine Lib "imm32"  Alias "ImmGetGuideLineW" (himc As HIMC, dwIndex As DWord, lpBuf As LPWSTR, dwBufLen As DWord) As DWord
+#else
+Declare Function ImmGetGuideLine Lib "imm32"  Alias "ImmGetGuideLineA" (himc As HIMC, dwIndex As DWord, lpBuf As LPSTR, dwBufLen As DWord) As DWord
+#endif
+
+Declare Function ImmGetConversionStatus Lib "imm32" (himc As HIMC, ByRef fdwConversion As DWord, ByRef fdwSentence As DWord) As BOOL
+Declare Function ImmSetConversionStatus Lib "imm32" (himc As HIMC, fdwConversion As DWord, fdwSentence As DWord) As BOOL
+Declare Function ImmGetOpenStatus Lib "imm32" (himc As HIMC) As BOOL
+Declare Function ImmSetOpenStatus Lib "imm32" (himc As HIMC, fOpen As BOOL) As BOOL
 
 #ifdef _INC_GDI '_WINGDI_
-#ifndef NOGID
+#ifndef NOGDI
 Declare Function ImmGetCompositionFontA Lib "imm32" (hIMC As HIMC, ByRef lf As LOGFONTA) As BOOL
 Declare Function ImmGetCompositionFontW Lib "imm32" (hIMC As HIMC, ByRef lf As LOGFONTW) As BOOL
@@ -275,6 +273,7 @@
 Declare Function ImmSetCompositionFont Lib "imm32" Alias "ImmSetCompositionFontA" (hIMC As HIMC, ByRef lf As LOGFONT) As Long
 #endif
-#endif 'NOGID
+#endif 'NOGDI
 #endif '_INC_GDI
+#endif
 
 Declare Function ImmConfigureIMEA Lib "imm32" (hkl As HKL, hwnd As HWND, dwMode As DWord, lpData As VoidPtr) As BOOL
@@ -368,5 +367,5 @@
 Declare Function ImmGetImeMenuItems Lib "imm32" Alias "ImmGetImeMenuItemsA" (himc As HIMC, dwFlags As DWord, dwType As DWord, ByRef ImeParentMenu As IMEMENUITEMINFOA, lpImeMenu As LPIMEMENUITEMINFOA, dwSoze As DWord) As DWord
 #endif
-Declare Function ImmDisableTextFrameService(idThread As DWord) As BOOL
+Declare Function ImmDisableTextFrameService Lib "imm32"(idThread As DWord) As BOOL
 
 ' wParam for WM_IME_CONTROL
@@ -705,5 +704,4 @@
 Const SOFTKEYBOARD_TYPE_C1 = &h0002
 
-
 #endif '_IMM_SDK_DEFINED_
 
